Fix: update urcu version in README and configure.ac
authorDavid Goulet <dgoulet@efficios.com>
Mon, 3 Dec 2012 21:00:45 +0000 (16:00 -0500)
committerDavid Goulet <dgoulet@efficios.com>
Mon, 3 Dec 2012 21:00:45 +0000 (16:00 -0500)
Signed-off-by: David Goulet <dgoulet@efficios.com>
README
configure.ac

diff --git a/README b/README
index ebd76bdb2105c9cd1e94c732e863c81447a7260c..0b857dbf6c97e00221f2e0f8496004ff6910a810 100644 (file)
--- a/README
+++ b/README
@@ -17,7 +17,7 @@ REQUIREMENTS:
     - liburcu
       Userspace RCU library, by Mathieu Desnoyers and Paul E. McKenney
 
-      -> Tested with liburcu >= v0.6.6
+      -> Tested with liburcu >= v0.7.2
 
       * Debian/Ubuntu package: liburcu-dev
       * Git : git://git.lttng.org/userspace-rcu.git
@@ -29,7 +29,7 @@ REQUIREMENTS:
       * Debian/Ubuntu package: libpopt-dev
 
     - SWIG >= 2.0 (optional)
-      Needed for Python bindings
+      Needed for Python bindings (--enable-python-bindings).
 
       * Debian/Ubuntu package: swig2.0
 
index 78cfebdfa6a863fa32663ce2a2c92bec9c5533ab..54aa385c33d608010626b21a06bf86b472a665b2 100644 (file)
@@ -109,7 +109,7 @@ AC_CHECK_LIB([popt], [poptGetContext], [],
 )
 
 # URCU library version needed or newer
-liburcu_version=">= 0.6.7"
+liburcu_version=">= 0.7.2"
 
 # Check liburcu needed function calls
 AC_CHECK_DECL([cds_list_add], [],
@@ -145,7 +145,7 @@ AS_IF([test "x$lttng_ust_support" = "xyes"], [
                        AC_DEFINE([HAVE_LIBLTTNG_UST_CTL], [1], [has LTTng-UST control support])
                        lttng_ust_ctl_found=yes
                ],
-               [AC_MSG_ERROR([Cannot find LTTng-UST. Use [LDFLAGS]=-Ldir to specify its location, or specify --disable-lttng-ust to build lttng-tools without LTTng-UST support.])],
+               [AC_MSG_ERROR([Cannot find LTTng-UST 2.1.x. Use [LDFLAGS]=-Ldir to specify its location, or specify --disable-lttng-ust to build lttng-tools without LTTng-UST support.])],
                [-lurcu-common -lurcu-bp -lurcu-cds -lrt]
        )
 ])
This page took 0.037071 seconds and 4 git commands to generate.